#ifndef CODE_EXO1
#define CODE_EXO1

#include<stdio.h>

// constante si necessaire pour la taille du terrain
#define MAXX 80
#define MAXY 24

typedef int Arene [MAXY][MAXX];
typedef Arene Photo;

int occurences(char *, char);

// fonctions pour l'arene
void initialiser(Arene);
void afficher(FILE *, Arene);
int  lecture(char *, Arene);

// fonction pour les trajectoires
void calculer_trajectoire(Arene, Photo, int, int, int);
void afficher_trajectoire(FILE *, Arene, Photo);

// liste chainee

typedef struct Cellule {
   int y;
   int x;
   int d;
   struct Cellule * suiv;
} Cellule;

Cellule * ajouterListe(Cellule **, int, int, int);
void      libererListe(Cellule **);
void      genererArene(Cellule *, Arene);

#endif